Package org.apache.jmeter.report.processor

# Class ApdexThresholdsInfo

java.lang.Object
org.apache.jmeter.report.processor.ApdexThresholdsInfo

public class ApdexThresholdsInfo extends Object
The class ApdexThresholdsInfo provides a container for APDEX threshold information.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApdexThresholdsInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final long`
  `getSatisfiedThreshold()`
  `final long`
  `getToleratedThreshold()`
  `final void`
  `setSatisfiedThreshold(long satisfiedThreshold)`
  `final void`
  `setToleratedThreshold(long toleratedThreshold)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApdexThresholdsInfo

    public ApdexThresholdsInfo()

- ## Method Details

  - ### getSatisfiedThreshold

    public final long getSatisfiedThreshold()

  - ### setSatisfiedThreshold

    public final void setSatisfiedThreshold(long satisfiedThreshold)

  - ### getToleratedThreshold

    public final long getToleratedThreshold()

  - ### setToleratedThreshold

    public final void setToleratedThreshold(long toleratedThreshold)